/* -*- coding: utf-8 -*- */

#ifndef KT_BLOCKITEM_H
#define KT_BLOCKITEM_H


#include <QPainter>
#include <QPointF>
#include <QPixmap>
#include <QGraphicsPixmapItem>
#include <QKeyEvent>
#include <QSize>
#include <QMap>
#include <QString>
#include <QDebug>
#include <QStyleOption>

enum corner {CUL,CUR,CDL,CDR,HU,HD,VL,VR,NO};

class KTBlockItem : public QGraphicsRectItem
{

public:
KTBlockItem( QGraphicsItem * parent = 0);
void paint ( QPainter * painter, const QStyleOptionGraphicsItem * option, QWidget * widget = 0 ) ;
void drawGrapper(QPainter * painter, const QStyleOptionGraphicsItem * option);
corner getCorner( QPointF mouse);
void mouseMoveEvent ( QGraphicsSceneMouseEvent * event );
void hoverMoveEvent ( QGraphicsSceneHoverEvent * event );
void contextMenuEvent(QGraphicsSceneContextMenuEvent *event);
void setName(QString n){name =n;}
private:
bool grabbed;
corner grab;
QString name;
};

#endif

